Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNCommitHandler

All Known Implementing Classes:
  DefaultSVNCommitHandler

public interface ISVNCommitHandler

The ISVNCommitHandler should be implemented to provide an ability to manage commit log messages for items to be committed in a common transaction.

The interface defines the only one method which takes the initial log message and an array of items that are intended for a commit. For example, an implementor's code can process those items and add some generated additional comment to that one passed into the method. There could be plenty of scenarioes.

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `DefaultSVNCommitHandler`

Method Summary
`String` | `getCommitMessage(String message, SVNCommitItem[] commitables)` Handles the in-come initial log message and items intended for a commit and returns a new commit log message.

Method Detail

### getCommitMessage

    public String getCommitMessage(String message,
                                   SVNCommitItem[] commitables)
                            throws SVNException

  Handles the in-come initial log message and items intended for a commit and returns a new commit log message.

  Parameters:
    `message` - an initial log message
    `commitables` - an array of items to be committed
  Returns:
    a new log message string
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.